%global gem_name dalli

%bcond_with tests

Name: rubygem-%{gem_name}
Version: 3.2.0
Release:    1%{?dist}
Summary: High performance memcached client for Ruby
License: MIT
URL: https://github.com/petergoldstein/dalli
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1: %{gem_name}-%{version}-tests.txz

BuildRequires: ruby(release)
BuildRequires: rubygems-devel
%if %{with tests}
BuildRequires: memcached
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(connection_pool)
%endif
BuildRequires: ruby
BuildArch: noarch

%description
High performance memcached client for Ruby


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -n %{gem_name}-%{version} -b1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
%if %{with tests}
pushd .%{gem_instdir}
ln -s %{_builddir}/test .

sed -i '/bundler/ s/^/#/' test/helper.rb
ruby -Ilib:test -rdalli -e "Dir.glob('./test/test_*.rb').sort.each{ |x| require x }"
popd
%endif

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/History.md
%{gem_instdir}/Gemfile

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-1
- initial build
